ChiliProject - Bug # 374: HTML-escaped URLs in JavaScript

Priority:
Category:

Assignee:

Due date:

Normal

Status: Closed

Author: Gregor Schmidt
Created: 2011-05-04
Updated: 2011-05-05
Remote issue URL:

Affected version: 1.3.0
Description: In

"app/views/issues/_form.rhtml:12":https://github.com/chiliproject/chiliproject/blob/3eff27344b0bef7703ba248d(

a2312bfca95c182/app/views/issues/_form.rhtml#L12 and

"app/views/issue_relations/_form.rhtml":https://github.com/chiliproject/chiliproject/blob/a8b12bcb520230b9cc2)
5abd2d7346d746c49874d/app/views/issue_relations/_form.rhtml#L6 there are javascript calls, containing
HTML escaped URL. These leads to Ajax requests containing &amp; in the URL, such that some query

parameters may be hidden.

Associated revisions

2011-05-04 07:28 pm - Gregor Schmidt

[#374] Not escaping URLs since they are used in a safe CDATA section, where no entity encoding is needed.

2011-05-05 09:00 pm - Felix SchAnfer

Merge pull request #47 from schmidt/b/374-url-escaping-in-js-calls

Don't HTML-escaped URLs before passing them to the JavaScript helper. #374

History

2011-05-04 05:33 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmiadt)

- Status changed from Open to Ready for review

Pull request is at https://github.com/chiliproject/chiliproject/pull/47

2011-05-05 07:01 pm - Felix Schafer

- Status changed from Ready for review to Closed

Merged in commit:6fa5eb8. Thanks!
